> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update asset (UpdateAsset)

> UpdateAsset — POST /api/v3/seedance

## Introduction

Update an asset. **Currently only** `Name` **is supported**.

## Authentication

<ParamField header="Authorization" type="string" required>
  Bearer Token, e.g. `Bearer sk-your_token_key`
</ParamField>

## Request parameters

<ParamField body="Id" type="string" required>
  Asset ID
</ParamField>

<ParamField body="Name" type="string">
  New name
</ParamField>

<ParamField body="ProjectName" type="string" default="default">
  Project name
</ParamField>

## Request example

```bash theme={null}
curl -X POST "https://api.gravitex.ai/api/v3/seedance?Action=UpdateAsset&Version=2024-01-01" \
  -H "Authorization: Bearer sk-your_token_key" \
  -H "Content-Type: application/json" \
  -d '{"Id": "asset-20260710-xyz", "Name": "portrait-v2.jpg"}'
```

## Response example

```json theme={null}
{
  "ResponseMetadata": {"Action": "UpdateAsset"},
  "Result": {"Id": "asset-20260710-xyz"}
}
```
